> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Report detail

> Includes per-discrepancy breakdown.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/reconciliation/reports/{id}
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/reconciliation/reports/{id}:
    get:
      tags:
        - Reconciliation
      summary: Report detail
      description: Includes per-discrepancy breakdown.
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Report
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ReconciliationReport'
                  discrepancies:
                    type: array
                    items:
                      $ref: '#/components/schemas/ReconciliationDiscrepancy'
                required:
                  - data
                  - discrepancies
        '404':
          description: Not found
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Error'
                  - properties:
                      error:
                        type: string
                      code:
                        type: string
                      details: {}
      security:
        - bearerAuth: []
components:
  schemas:
    ReconciliationReport:
      type: object
      properties:
        id:
          type: string
        rail:
          type: string
        status:
          type: string
          enum:
            - running
            - completed
            - failed
        period:
          type: object
          properties:
            from:
              type: string
            to:
              type: string
          required:
            - from
            - to
        totals:
          type: object
          properties:
            ledger_entries:
              type: integer
            rail_entries:
              type: integer
            matched:
              type: integer
            unmatched_ledger:
              type: integer
            unmatched_rail:
              type: integer
            discrepancies:
              type: integer
          required:
            - ledger_entries
            - rail_entries
            - matched
            - unmatched_ledger
            - unmatched_rail
            - discrepancies
        created_at:
          type: string
          format: date-time
        completed_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - rail
        - status
        - period
        - totals
        - created_at
    ReconciliationDiscrepancy:
      type: object
      properties:
        id:
          type: string
        report_id:
          type: string
        type:
          type: string
          enum:
            - ledger_only
            - rail_only
            - amount_mismatch
            - timing_mismatch
            - duplicate
        ledger_entry_id:
          type:
            - string
            - 'null'
        rail_entry_id:
          type:
            - string
            - 'null'
        delta_cents:
          type:
            - integer
            - 'null'
        resolution:
          type:
            - string
            - 'null'
          enum:
            - adjusted
            - written_off
            - chasing
            - no_action
        resolution_note:
          type:
            - string
            - 'null'
        resolved_at:
          type:
            - string
            - 'null'
          format: date-time
        created_at:
          type: string
          format: date-time
      required:
        - id
        - report_id
        - type
        - created_at
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
        details: {}
        request_id:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````